#include "mbedconsole.h"
#include "plEarlz.h"
#include "PS2Keyboard.h"
char kbd_GetKey();

LocalFileSystem local("local");
void shell_begin(){
    vputs(">>Micro eMBEDded Shell v0.1<<\n");
    char *cmd=(char*)malloc(128);
    bool valid=false;
    while(1){
        vputs("> ");
        vgetsl(cmd, 128);
        vputc('\n');
        valid=false;
        if(strlcmp(cmd, "help", 5)==0){
            valid=true;
            vputs("Command list:\n");
            vputs("help -- this text \n");
            vputs("cls -- clear the screen\n");
        }else if(strlcmp(cmd,"cls",4)==0){
            valid=true;
            vga_cls();
            vsetcursor(0,0);
        }else if(strlcmp(cmd,"test", 5)==0){
            valid=true;
            vputs("Opening File...Screen may flicker!\n"); // Drive should be marked as removed
            wait(5);
            FILE *fp = fopen("/local/test.txt", "w");
            if(!fp) {
                vputs("File /local/test.txt could not be opened!\n");
                exit(1);
            }
            
            wait(5.0);
            
            vputs("Writing Data...\n");    
            fprintf(fp, "Hello World!");
            
            wait(5.0);
        
            vputs("Closing File...\n");
            fclose(fp);
        
                // Drive should be restored. this is the same as just returning from main
            wait(5);
        }else if(strlcmp(cmd, "test2", 6)==0){
            while(1){
                vputc(kbd_GetKey());
            }
        }else if(strlcmp(cmd, "plearlz", 8)==0){
            valid=1;
            pl_shell();
        }
        if(!valid){
            vputs("invalid command!\n");
        }
    }
}



